SendLit logoSendLit Docs
API ReferenceSuppressionsSuppressionidRelease

Release an active suppression

A workspace owner may release hard_bounce, repeated_soft_bounce, and manual suppressions only. Complaint suppressions cannot be released through this endpoint (409 suppression_not_releasable) — see the PRD's reactivation policy.

POST
/suppressions/{suppressionId}/release

A workspace owner may release hard_bounce, repeated_soft_bounce, and manual suppressions only. Complaint suppressions cannot be released through this endpoint (409 suppression_not_releasable) — see the PRD's reactivation policy.

x-sendlit-apikey<token>

In: header

Path Parameters

suppressionId*string

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.sendlit.dev/suppressions/string/release" \  -H "Content-Type: application/json" \  -d '{}'
{
  "suppressionId": "string",
  "recipientEmail": "string",
  "reason": "hard_bounce",
  "active": true,
  "firstSuppressedAt": "string",
  "lastSuppressedAt": "string",
  "releasedAt": "string",
  "releaseReason": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}